<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div class="container">
 *
 * @package Grace Mag
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php endif; ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php
$show_2column_slide_section 		= get_theme_mod('show_2column_slide_section', false);
$show_4column_carousel_section 		= get_theme_mod('show_4column_carousel_section', false);
$show_3column_withsidebar_section 	= get_theme_mod('show_3column_withsidebar_section', false);
$show_newsscroller_section 			= get_theme_mod('show_newsscroller_section', false);
$no_of_posts_left 					= get_theme_mod('left_no_of_posts', false);
$no_of_posts_right 					= get_theme_mod('right_no_of_posts', false);

?>
<div id="site-holder" <?php if( get_theme_mod( 'sitebox_layout' ) ) { echo 'class="boxlayout"'; } ?>>
<?php
if ( is_front_page() && !is_home() ) {
	if( !empty($show_slider)) {
	 	$inner_cls = '';
	}
	else {
		$inner_cls = 'siteinner';
	}
}
else {
$inner_cls = 'siteinner';
}
?>



     <div class="site-header <?php echo $inner_cls; ?>">  
       <div class="container">    
          <div class="logo">
				<?php grace_mag_the_custom_logo(); ?>
                <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo('name'); ?></a></h1>
					<?php $description = get_bloginfo( 'description', 'display' );
					if ( $description || is_customize_preview() ) : ?>
						<p><?php echo esc_html($description); ?></p>
					<?php endif; ?>
          </div><!-- logo -->
                <div class="toggle">
                 <a class="toggleMenu" href="#"><?php esc_html_e('Menu','grace-mag'); ?></a>
               </div><!-- toggle --> 
          <?php if ( ! dynamic_sidebar( 'header-ad-widget' ) ) : ?>            
         <?php endif; // end sidebar widget area ?>       
     	<div class="clear"></div>  
     
     </div><!-- container -->  
     
   <div class="header_navigation">  
	<div class="container">    

               <div class="header-menu">                   
                <?php wp_nav_menu( array('theme_location' => 'primary') ); ?>   
               </div><!--.header-menu -->  
   </div><!-- .container -->
</div><!--header_navigation-->    
</div><!--.site-header --> 

<?php if ( is_front_page() && ! is_home() ) { ?>
<?php if( $show_newsscroller_section != ''){ ?>   
<div class="tickerarea">
  <div class="container">  
           <?php
		 $newstickker_text = get_theme_mod('newstickker_text');
		 if( !empty($newstickker_text) ){ ?>
          <div class="newstickerbx"><?php echo esc_html($newstickker_text); ?></div>
	  	 <?php } ?>
                 
          <ul id="ticker01">
           <?php if( get_theme_mod('news_scroller',false) ) { ?>
        		<?php $queryvar = new wp_query('cat='.get_theme_mod('news_scroller',true));
						while( $queryvar->have_posts() ) : $queryvar->the_post(); ?>                        
                         <li><a href="#"><?php the_title(); ?></a> </li>
						<?php endwhile;
						wp_reset_query(); ?>
               <?php } ?>
               <div class="clear"></div>
       </ul><!--end #ticker01--> 
  </div>
 </div><!--end .tickerarea--> 
 <?php } ?>
 
<?php if( $show_2column_slide_section != ''){ ?>     
<section id="section-1" <?php if( get_theme_mod( 'news_scroller' ) ) { echo 'class="space10"'; } ?>>
   <div class="container">	   
	 <div class="catarea-2column catsliderpart">
            <div class="owl-carousel">
              <?php if( get_theme_mod('sliderarea',false) ) { ?>
        		<?php $queryvar = new wp_query('cat='.get_theme_mod('sliderarea',true));
						while( $queryvar->have_posts() ) : $queryvar->the_post(); ?>
                         <div class="slidercolumn"> 
                          <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'full' ); ?>
                              <h3><?php the_title(); ?></h3>
                           </a>                           
                         </div>
						<?php endwhile;
						wp_reset_query(); ?>
               <?php } ?>
            </div><!--end .carousel-->
	 </div><!--end .catarea-2column-->

     <div class="catarea-2column catslideright">     
     	<?php if( get_theme_mod('sliderrightarea',false) ) { ?>
        		<?php $queryvar = new wp_query('showposts=2 &cat='.get_theme_mod('sliderrightarea',true));
						while( $queryvar->have_posts() ) : $queryvar->the_post(); ?>
                         <div class="catleft-1"> 
                          <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'full' ); ?>
                              <h3><span><?php the_title(); ?></span></h3>
                          </a>                         
                         </div>
						<?php endwhile;
						wp_reset_query(); ?>  
               <?php } ?>    
	</div><!--end .catarea-2column-->

<div class="clear"></div>
</div><!--end .container-->
</section><!--end section slider with cats--> 
<?php } ?>


<?php if( $show_4column_carousel_section != ''){ ?>     
<section id="section-2">
   <div class="container">
    <?php
		 $column4_carousel_title = get_theme_mod('column4_carousel_title');
		 if( !empty($column4_carousel_title) ){ ?>
          <h4 class="section_title"><div><?php echo esc_html($column4_carousel_title); ?></div></h4>
	  	 <?php } ?>
       
	 <div class="postlayout-carousel">          
              <?php if( get_theme_mod('4column_carousel',false) ) { ?>
        		<?php $queryvar = new wp_query('cat='.get_theme_mod('4column_carousel',true));
						while( $queryvar->have_posts() ) : $queryvar->the_post(); ?>
                         <div class="item">
                            <div class="postlayoutcarousel-thumb">
							   <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'full' ); ?></a>
                             </div>
                              <h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>                            
                              
								<?php $cat_detail = grace_mag_get_single_post_category( get_the_ID() ); ?>
									<?php if ( ! empty( $cat_detail ) ) : ?>
										<div class="carousel-post-category"> <a href="<?php echo esc_url( $cat_detail['url'] ); ?>"><?php echo esc_html( $cat_detail['name'] ); ?></a> / <span class="post-date"><?php the_date(); ?></span> </div>
									<?php endif; ?>

                            <p><?php echo esc_html( wp_trim_words( get_the_content(), 20, '' ) );  ?></p> 
                            
                            <div class="readcomment">
                            <span class="spanleft"><a href="<?php the_permalink(); ?>"><?php esc_html_e('Read more...','grace-mag'); ?></a></span>
                            <span class="spanright"><a href="<?php comments_link(); ?>"><?php comments_number(); ?></a></span>
                            <div class="clear"></div>
                            </div> 
                                                                                
                         </div>
						<?php endwhile;
						wp_reset_query(); ?>
               <?php } ?>           
	 </div><!--end .postlayout-carousel-->
</div><!--end .container-->
</section><!--end #section-2--> 
<?php } ?>


<?php if( $show_3column_withsidebar_section != ''){ ?>     
<section id="section-3">
   <div class="container">    
	 <div class="left-2-box">       
			<?php
             $leftsite_title = get_theme_mod('leftsite_title');
             if( !empty($leftsite_title) ){ ?>
              <h4 class="section_title"><div><?php echo esc_html($leftsite_title); ?></div></h4>
             <?php } ?>
                        
              <?php 
			  $n = 0;
			  if( get_theme_mod('left_2column',false) ) { ?>
        		<?php $queryvar = new wp_query('showposts='.$no_of_posts_left.' &cat='.get_theme_mod('left_2column',true));
						while( $queryvar->have_posts() ) : $queryvar->the_post();	
						$n++; if( $n%2 == 0 ) $nomargn = ' last'; else $nomargn = '';					
						 ?>
                         <div class="cols2_box <?php echo $nomargn ?>">
                            <div class="cols2_box_imgbox">
							   <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'full' ); ?></a>
                             </div>
                              <h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>                              
								<?php $cat_detail = grace_mag_get_single_post_category( get_the_ID() ); ?>
									<?php if ( ! empty( $cat_detail ) ) : ?>
										<div class="carousel-post-category"> <a href="<?php echo esc_url( $cat_detail['url'] ); ?>"><?php echo esc_html( $cat_detail['name'] ); ?></a> / <span class="post-date"><?php the_date(); ?></span> </div>
									<?php endif; ?>
                                <p><?php echo esc_html( wp_trim_words( get_the_content(), 20, '' ) );  ?></p> 
                            
                           
                                                                                
                         </div>
						<?php 						
						endwhile;
						wp_reset_query(); ?>
               <?php } ?>           
	 </div><!--end .left-2-box-->
     <div class="righr-customsidebar">
         <?php
             $righttsite_title = get_theme_mod('righttsite_title');
             if( !empty($righttsite_title) ){ ?>
              <h4 class="section_title"><div><?php echo esc_html($righttsite_title); ?></div></h4>
           <?php } ?>	    
     
        <?php if( get_theme_mod('right_1sidebar',false) ) { ?>
        		<?php $queryvar = new wp_query('showposts='.$no_of_posts_right.' &cat='.get_theme_mod('right_1sidebar',true));
						while( $queryvar->have_posts() ) : $queryvar->the_post();	
									
						 ?>
                         <div class="sidebarpost">
                            <div class="sidepost_thumb">
							   <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'full' ); ?></a>
                             </div>
                              <h6><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h6>                              
								<?php $cat_detail = grace_mag_get_single_post_category( get_the_ID() ); ?>
									<?php if ( ! empty( $cat_detail ) ) : ?>
										<div class="carousel-post-category"> <a href="<?php echo esc_url( $cat_detail['url'] ); ?>"><?php echo esc_html( $cat_detail['name'] ); ?></a> / <span class="post-date"><?php the_date(); ?></span> </div>
									<?php endif; ?>
                                <p><?php echo esc_html( wp_trim_words( get_the_content(), 8, '' ) );  ?></p> 
                         </div>
						<?php 						
						endwhile;
						wp_reset_query(); ?>
               <?php } ?>      
     
     </div>
     <div class="clear"></div>
     
     
</div><!--end .container-->
</section><!--end #section-2--> 
<?php } ?>
<?php } ?>