<?php    
/**
 *Grace MagTheme Customizer
 *
 * @package Grace Mag*/

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
 get_template_part('/inc/select/category-dropdown-custom-control');
function grace_mag_customize_register( $wp_customize ) {

//Add a class for titles
    class grace_mag_Info extends WP_Customize_Control {
        public $type = 'info';
        public $label = '';
        public function render_content() {
        ?>
			<h3><?php echo esc_html( $this->label ); ?></h3>
        <?php
        }
    }
	
	class WP_Customize_Textarea_Control extends WP_Customize_Control {
    public $type = 'textarea';
 
    public function render_content() {
        ?>
            <label>
                <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
                <textarea rows="5" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>
            </label>
        <?php
    }
}	
	
	function grace_mag_sanitize_dropdown_pages( $page_id, $setting ) {
	  // Ensure $input is an absolute integer.
	  $page_id = absint( $page_id );
	
	  // If $page_id is an ID of a published page, return it; otherwise, return the default.
	  return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
	}

	function grace_mag_sanitize_checkbox( $checked ) {
		// Boolean check.
		return ( ( isset( $checked ) && true == $checked ) ? true : false );
	}  
		
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	
	$wp_customize->add_setting('color_scheme',array(
			'default'	=> '#f40055',
			'sanitize_callback'	=> 'sanitize_hex_color'
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'color_scheme',array(
			'label' => __('Color Scheme','grace-mag'),			
			 'description'	=> __('More color options in PRO Version','grace-mag'),
			'section' => 'colors',
			'settings' => 'color_scheme'
		))
	);
	
	
	 //Grace Ma Theme Options Panel
	$wp_customize->add_panel( 'grace_mag_panel_area', array(
		'priority' => null,
		'capability' => 'edit_theme_options',
		'theme_supports' => '',
		'title' => __( 'Theme Options Panel', 'grace-mag' ),		
	) ); 
	
	//Layout Options
	$wp_customize->add_section('layout_option',array(
			'title'	=> __('Site Layout','grace-mag'),			
			'priority'	=> 1,
			'panel' => 'grace_mag_panel_area',
	));		
	
	$wp_customize->add_setting('sitebox_layout',array(
			'sanitize_callback' => 'grace_mag_sanitize_checkbox',
	));	 

	$wp_customize->add_control( 'sitebox_layout', array(
    	   'section'   => 'layout_option',    	 
		   'label'	=> __('Check to Box Layout','grace-mag'),
		   'description'	=> __('if you want to box layout please check the Box Layout Option.','grace-mag'),
    	   'type'      => 'checkbox'
     )); //Layout Section 
	
	
   // News Scroller Section 	
	$wp_customize->add_section('news_scroller_section',array(
		'title'	=> __('News Scroller Section','grace-mag'),
		'description'	=> __('All things manage from category.','grace-mag'),
		'priority'	=> null,
		'panel' => 'grace_mag_panel_area',
	));
	
	$wp_customize->add_setting('newstickker_text',array(
			'default'	=> null,
			'sanitize_callback'	=> 'sanitize_text_field'	
	));
	
	$wp_customize->add_control('newstickker_text',array(	
			'type'	=> 'text',
			'label'	=> __('Add Title(text) for News Ticker','grace-mag'),
			'section'	=> 'news_scroller_section',
			'setting'	=> 'newstickker_text'
	)); // news scroller Text

	// Add a category dropdown for News Scroller
	$wp_customize->add_setting( 'news_scroller', array(
		'sanitize_callback'	=> 'esc_textarea'
	) );
	
	$wp_customize->add_control( new Category_Dropdown_Custom_Control( $wp_customize, 'news_scroller', array(
		'label'   => __('Select Category for News Scroller Section','grace-mag'),
		'section' => 'news_scroller_section',
		'settings'   => 'news_scroller',            
	) ) );	
	
	
	$wp_customize->add_setting('show_newsscroller_section',array(				
			'sanitize_callback' => 'grace_mag_sanitize_checkbox',
			
	));	 

	$wp_customize->add_control( 'show_newsscroller_section', array(
		   'settings' => 'show_newsscroller_section',
		   'section'   => 'news_scroller_section',
		   'label'     => __('Check To Show This Section','grace-mag'),
		   'type'      => 'checkbox'
	 ));//Show news scroller Section		
	 
	
	
  // 2 Column Category Dropdown Section 	
	$wp_customize->add_section('2column_slide_section',array(
		'title'	=> __('2 Column Slide Section','grace-mag'),
		'description'	=> __('All things manage from category.','grace-mag'),
		'priority'	=> null,
		'panel' => 'grace_mag_panel_area',
	));

	// Add a category dropdown for Slider Coloumn
	$wp_customize->add_setting( 'sliderarea', array(
		'sanitize_callback'	=> 'esc_textarea'
	) );
	
	$wp_customize->add_control( new Category_Dropdown_Custom_Control( $wp_customize, 'sliderarea', array(
		'label'   => __('Select Category for Slider Section','grace-mag'),
		'section' => '2column_slide_section',
		'settings'   => 'sliderarea',            
	) ) );
	
	// Add a category dropdown Right Coloumn
	$wp_customize->add_setting( 'sliderrightarea', array(
		'sanitize_callback'	=> 'esc_textarea'
	) );
	$wp_customize->add_control( new Category_Dropdown_Custom_Control( $wp_customize, 'sliderrightarea', array(
		'label'   => __('Select Category for Slider Right Section','grace-mag'),
		'section' => '2column_slide_section',
		'settings'   => 'sliderrightarea',            
	) ) );		

 
	 //Show 2 Column Slide Section		
	$wp_customize->add_setting('show_2column_slide_section',array(				
			'sanitize_callback' => 'grace_mag_sanitize_checkbox',
			
	));	 

	$wp_customize->add_control( 'show_2column_slide_section', array(
		   'settings' => 'show_2column_slide_section',
		   'section'   => '2column_slide_section',
		   'label'     => __('Check To Show This Section','grace-mag'),
		   'type'      => 'checkbox'
	 ));//show 2Column slide Section		 
	 
	 
	 // 4 Column carousel  Section 	
	$wp_customize->add_section('4column_carousel_section',array(
		'title'	=> __('4 Column Carousel Section','grace-mag'),
		'description'	=> __('All things manage from category.','grace-mag'),
		'priority'	=> null,
		'panel' => 'grace_mag_panel_area',
	));
	
	$wp_customize->add_setting('column4_carousel_title',array(
			'default'	=> null,
			'sanitize_callback'	=> 'sanitize_text_field'	
	));
	
	$wp_customize->add_control('column4_carousel_title',array(	
			'type'	=> 'text',
			'label'	=> __('Add Title(text) for 4 Coloumn Carousel','grace-mag'),
			'section'	=> '4column_carousel_section',
			'setting'	=> 'column4_carousel_title'
	)); // 4 Coloumn Carousel title

	// Add a category dropdown for 4column carousel
	$wp_customize->add_setting( '4column_carousel', array(
		'sanitize_callback'	=> 'esc_textarea'
	) );
	
	$wp_customize->add_control( new Category_Dropdown_Custom_Control( $wp_customize, '4column_carousel', array(
		'label'   => __('Select Category for 4 column carousel section','grace-mag'),
		'section' => '4column_carousel_section',
		'settings'   => '4column_carousel',            
	) ) );
	
	 //Show 4 Column Carousel Section		
	$wp_customize->add_setting('show_4column_carousel_section',array(				
			'sanitize_callback' => 'grace_mag_sanitize_checkbox',
			
	));	 

	$wp_customize->add_control( 'show_4column_carousel_section', array(
		   'settings' => 'show_4column_carousel_section',
		   'section'   => '4column_carousel_section',
		   'label'     => __('Check To Show This Section','grace-mag'),
		   'type'      => 'checkbox'
	 ));//Show 4 Column Carousel Section
	 
	 
	  // 2 Column  with Sidebar  Section 	
	$wp_customize->add_section('3column_withsidebar_section',array(
		'title'	=> __('3 Column With Sidebar Section','grace-mag'),
		'description'	=> __('All things manage from category posts.','grace-mag'),
		'priority'	=> null,
		'panel' => 'grace_mag_panel_area',
	));
	
	$wp_customize->add_setting('leftsite_title',array(
			'default'	=> null,
			'sanitize_callback'	=> 'sanitize_text_field'	
	));
	
	$wp_customize->add_control('leftsite_title',array(	
			'type'	=> 'text',
			'label'	=> __('Add Title(text) for left side column','grace-mag'),
			'section'	=> '3column_withsidebar_section',
			'setting'	=> 'leftsite_title'
	)); // left site column title

	// Add a category dropdown for 2column 
	$wp_customize->add_setting( 'left_2column', array(
		'sanitize_callback'	=> 'esc_textarea'
	) );
	
	$wp_customize->add_control( new Category_Dropdown_Custom_Control( $wp_customize, 'left_2column', array(
		'label'   => __('Select Category for 2 column section','grace-mag'),
		'section' => '3column_withsidebar_section',
		'settings'   => 'left_2column',            
	) ) );
	
	
	$wp_customize->add_setting('left_no_of_posts',array(
			'default'	=> null,
			'sanitize_callback'	=> 'sanitize_text_field'	
	));
	
	$wp_customize->add_control('left_no_of_posts',array(	
			'type'	=> 'numbers',
			'label'	=> __('Enter the no. of posts to display','grace-mag'),
			'section'	=> '3column_withsidebar_section',
			'setting'	=> 'left_no_of_posts',			
	)); // left site column title
	
	
	
	$wp_customize->add_setting('righttsite_title',array(
			'default'	=> null,
			'sanitize_callback'	=> 'sanitize_text_field'	
	));
	
	$wp_customize->add_control('righttsite_title',array(	
			'type'	=> 'text',
			'label'	=> __('Add Title(text) for right side column','grace-mag'),
			'section'	=> '3column_withsidebar_section',
			'setting'	=> 'righttsite_title'
	)); // left site column title	
	

	// Add a category dropdown for 1 column sidebar
	$wp_customize->add_setting( 'right_1sidebar', array(
		'sanitize_callback'	=> 'esc_textarea'
	) );
	
	$wp_customize->add_control( new Category_Dropdown_Custom_Control( $wp_customize, 'right_1sidebar', array(
		'label'   => __('Select Category for sidebar post listing','grace-mag'),
		'section' => '3column_withsidebar_section',
		'settings'   => 'right_1sidebar',            
	) ) );
	
	$wp_customize->add_setting('right_no_of_posts',array(
			'default'	=> null,
			'sanitize_callback'	=> 'sanitize_text_field'	
	));
	
	$wp_customize->add_control('right_no_of_posts',array(	
			'type'	=> 'numbers',
			'label'	=> __('Enter the no. of posts to displayy','grace-mag'),
			'section'	=> '3column_withsidebar_section',
			'setting'	=> 'right_no_of_posts',			
	)); // right site column title	
	
	
	 //Show 3 Column With Sidebar Section		
	$wp_customize->add_setting('show_3column_withsidebar_section',array(				
			'sanitize_callback' => 'grace_mag_sanitize_checkbox',
			
	));	 

	$wp_customize->add_control( 'show_3column_withsidebar_section', array(
		   'settings' => 'show_3column_withsidebar_section',
		   'section'   => '3column_withsidebar_section',
		   'label'     => __('Check To Show This Section','grace-mag'),
		   'type'      => 'checkbox'
	 ));//Show 3 Column With Sidebar Section	
	  
	
		 
}
add_action( 'customize_register', 'grace_mag_customize_register' );

function grace_mag_custom_css(){
		?>
        	<style type="text/css"> 					
					a, .recent_articles h2 a:hover,
				#sidebar ul li a:hover,								
				.recent_articles h3 a:hover,					
				.recent-post h6:hover,					
				.page-four-column:hover h3,												
				.postmeta a:hover,
				.cols2_box h5 a:hover,
				.sidebarpost h6 a:hover,
				.postlayout-carousel .owl-item h5 a:hover,
				.logo h1 span,
				.cols-3 ul li a:hover, .cols-4 ul li.current_page_item a,						
				.header-menu ul li a:hover, 
				.header-menu ul li.current-menu-item a,
				.header-menu ul li.current-menu-parent a.parent,
				.header-menu ul li.current-menu-item ul.sub-menu li a:hover				
					{ color:<?php echo esc_html( get_theme_mod('color_scheme','#f40055')); ?>;}					 
					
				.pagination ul li .current, .pagination ul li a:hover, 
				#commentform input#submit:hover,					
				.nivo-controlNav a.active,
				.learnmore,							
				#sidebar .search-form input.search-submit,				
				.wpcf7 input[type='submit'],				
				.column-3:hover .learnmore,
				nav.pagination .page-numbers.current,
				.slide_info .slide_more:hover,				
				.tickerarea .newstickerbx,
				h4.section_title div,
				.postlayoutcarousel-thumb,
				.sidepost_thumb
					{ background-color:<?php echo esc_html( get_theme_mod('color_scheme','#f40055')); ?>;}	
					
				.newstickerbx::before
					{ border-left-color:<?php echo esc_html( get_theme_mod('color_scheme','#f40055')); ?>;}	
					
				h4.section_title
					{ border-color:<?php echo esc_html( get_theme_mod('color_scheme','#f40055')); ?>;}			
					
			</style> 
<?php             
}
         
add_action('wp_head','grace_mag_custom_css');	 

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function grace_mag_customize_preview_js() {
	wp_enqueue_script( 'grace_mag_customizer', get_template_directory_uri() . '/js/customize-preview.js', array( 'customize-preview' ), '20171016', true );
}
add_action( 'customize_preview_init', 'grace_mag_customize_preview_js' );